GET
/
perks
/
consumers
/
{consumer_id}
/
universes
List the catalog's top-level universes.
curl --request GET \
--url https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/universes \
--header 'Authorization: Bearer <token>' \
--header 'x-api-version: <x-api-version>'import requests
url = "https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/universes"
headers = {
"x-api-version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/universes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"active_offers": true,
"id": "8f14e45f-ceea-467a-9e1b-2c8f9a0d1e23",
"name": "Fashion"
}
],
"meta": {
"page": 1,
"per_page": 50,
"total": 137
}
}{
"code": "PL-400-00",
"errors": [
{
"loc": [
"body",
"field"
],
"msg": "Field required",
"type": "missing"
}
],
"instance": "/path/of/the/request",
"status": 400,
"title": "Bad Request"
}{
"code": "PL-401-00",
"status": 401,
"title": "Unauthorized"
}{
"code": "PL-404-02",
"status": 404,
"title": "Consumer Not Enrolled"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Required string length:
2 - 100Pattern:
^[a-zA-Z0-9_-]+$Example:
"consumer-12345"
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 1000Was this page helpful?
⌘I
List the catalog's top-level universes.
